George_gekor8
Posts: 1
Joined: Sun Mar 04, 2018 5:56 pm

Problem with lutris

Sun Mar 04, 2018 6:02 pm

it just doesnt open. When i try to run with the terminal it says

File "/usr/bin/lutris", line 33, in <module>
from lutris.gui.application import Application
File "/usr/lib/python3.6/site-packages/lutris/gui/application.py", line 25, in <module>
import gi
ModuleNotFoundError: No module named 'gi'

User avatar
kyrios
Posts: 2222
Joined: Thu Sep 22, 2016 4:20 pm

Re: Problem with lutris

Sun Mar 04, 2018 7:54 pm

George_gekor8 wrote:
Sun Mar 04, 2018 6:02 pm
it just doesnt open. When i try to run with the terminal it says

File "/usr/bin/lutris", line 33, in <module>
from lutris.gui.application import Application
File "/usr/lib/python3.6/site-packages/lutris/gui/application.py", line 25, in <module>
import gi
ModuleNotFoundError: No module named 'gi'
Make sure your system is up-to-date

Code: Select all

sudo eopkg up

Sithhy
Posts: 4
Joined: Thu Mar 08, 2018 3:09 pm

Re: Problem with lutris

Thu Mar 08, 2018 10:47 pm

I used my friend's account for a while.


Lutris not working.
I use Solus on virtualbox on Mint. ( system is fresh, my fiend have the same bug )
- system updated
- missing window on the left
( on the left should be window with apps , like this https://lutris.net/static/images/lutris-main-window.jpg
or should working F9 to show / hide window, but not working )
- no error in the terminal
- I can not install " Wine Steam " from Lutris , it download and every time I have option "Install"
- I tried run ready bin from pkg downloaded from Lutris website , the same bug
- I tried install pkg downloaded from Lutris website , the same bug
- I tried compile pkg downloaded from Lutris website
Python 3.4 is required to run Lutris
but Solus have only Python 3.6

When I tried install python3-setuptools, configparser
Lutris not working
...
The 'evdev" distribution was not found and is requied by lutris

Return to “Other Questions”